Review Board 1.7.22


HIVE-4508. Fix various release issues in 0.11.0rc1

Review Request #11030 - Created May 9, 2013 and updated

Carl Steinbach
trunk
HIVE-4508
Reviewers
hive
omalley
hive-git
Review request submitted on behalf of Owen. I removed the updates to RELEASE_NOTES.txt since we should do those updates on the release branch and forward port them after the rc is approved.

 
Posted (May 9, 2013, 7:45 p.m.)

   

  
README.txt (Diff revision 1)
 
 
Hive 0.11.0 doesn't include metastore changes, but a user upgrading from 0.9.0 will need to do an upgrade to account for the changes that were made in 0.10.0. I think it would be helpful to include a list of Hive versions that include metastore schema changes so that users can quickly determine if they need to do an upgrade.
README.txt (Diff revision 1)
 
 
0.10.0 included upgrade scripts for Derby, MySQL, Oracle and PostgreSQL (from 0.9.0 to 0.10.0), and I think the plan is to continue supporting all four platforms in future releases. It would be nice to include a table here that summarizes what's available in terms of upgrade scripts, or we could instead put the info on the wiki and provide a link here.
docs/xdocs/index.xml (Diff revision 1)
 
 
Change to "Apache Hive".
docs/xdocs/index.xml (Diff revision 1)
 
 
dev@hive.apache.org probably makes more sense in this context, and we should change "Hadoop Hive Documentation Team" to "Apache Hive Documentation Team"
docs/xdocs/index.xml (Diff revision 1)
 
 
Should we change the first mention of "Hive" to "Apache Hive"? I think the ASF branding guidelines may require that.
eclipse-templates/.classpath (Diff revision 1)
 
 
The hcatalog entries cause an error. We should either remove this or fix it.